Name:           ldapvi
Version:        1.7
Release:    2%{?dist}
Summary:        An interactive LDAP client

License:        GPLv2+
URL:            http://www.lichteblau.com/ldapvi/
Source0:        http://www.lichteblau.com/download/ldapvi-%{version}.tar.gz
Patch0:         GNUmakefile.in.patch
Patch1:         %{name}-1.7-getline.patch
Patch2:         dont-set-encoding-in-vim-modeline.diff
Patch3:         ldapvi-1.7-fix-use-after-free-in-sasl-code.patch
Patch4:         ldapvi-1.7-incorrect-FSF-address.patch
Patch5:         0001-Don-t-switch-off-canonical-mode.patch
Patch6:         ldapvi-c99-1.patch
Patch7:         ldapvi-c99-2.patch
Patch8:         ldapvi-c99-3.patch
Patch9:         ldapvi-c99-4.patch


BuildRequires: make
BuildRequires:  gcc
BuildRequires:  openldap-devel, ncurses-devel, readline-devel, pkgconfig
BuildRequires:  libxslt, glib2-devel, openssl-devel
BuildRequires: popt-devel

%description
ldapvi is an interactive LDAP client for Unix terminals. Using it, you can
update LDAP entries with a text editor, which is the same as vi. Think of
it as vipw(1) for LDAP.

%prep
%setup -q
%patch0 -p0 -b .gnumk
%patch1 -p2 -b .getline
%patch2 -p2 -b .encoding
%patch3 -p2 -b .doubleFree
%patch4 -p1 -b .FSFaddress
%patch5 -p1 -b .nopassword
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
%set_build_flags
CFLAGS="$CFLAGS -DLDAP_DEPRECATED"
%configure
make %{?_smp_mflags}
cd manual
make manual.html


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install



%files
%doc NEWS COPYING manual/bg.png
%doc manual/manual.html manual/manual.css
%{_mandir}/man1/ldapvi.1.gz
%{_bindir}/ldapvi


%changelog
* Wed May 08 2024 Fanjun Kong <fanjunkong@tencent.com> - 1.7-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-1
- initial build
